Subject: Re: [RFC 4/4] Add cat-blob report pipe from fast-import to remote-helper.

From: Florian Achleitner <[email-masked]>
Date: Wed, 06 Jun 2012 00:16:25 +0200

On Tuesday 05 June 2012 04:14:02 Jeff King wrote:
> Is there a reason that the patch unconditionally creates the pipe in
> get_helper? I.e., isn't it specific to the get_importer code path? It
> feels a little hacky to have it infect the other code paths.

I agree, it's a bit hacky. For me as a newbee, it was just a way to make fast-
import have the pipe it needs. I didn't know about the history of the 
preexec_cb as a fix for a bug in less.

The pipe is created unconditionally, because at the fork-time of the remote-
helper it is not known whether the import command will be used later together 
with fast-import, or not. (and later, there's no way, I think).
Helpers that don't use the pipe could simply ignore it.

--
Florian Achleitner